TestNs\MyApp\MissionType:
    properties:
        crmId:
            -
                GreaterThanOrEqual:
                    value: '-9223372036854775808'
                    groups:
                        - xsd_rules
            -
                LessThanOrEqual:
                    value: '9223372036854775807'
                    groups:
                        - xsd_rules
            -
                NotNull:
                    groups:
                        - xsd_rules
        companyName:
            -
                NotNull:
                    groups:
                        - xsd_rules
        number:
            -
                NotNull:
                    groups:
                        - xsd_rules
        title:
            -
                NotNull:
                    groups:
                        - xsd_rules
        payrollType:
            -
                Choice:
                    choices:
                        - DAILY_PAY_PERFORMANCE
                        - DAILY_PAY
                        - DAILY_PAY_DAYS
                        - MONTHLY_PAY
                        - MONTHLY_PAY_HOURS
                    groups:
                        - xsd_rules
            -
                NotNull:
                    groups:
                        - xsd_rules
        contractType:
            -
                Choice:
                    choices:
                        - EXPATRIATE
                        - OTHER
                        - LOCAL
                    groups:
                        - xsd_rules
            -
                NotNull:
                    groups:
                        - xsd_rules
        monthlyWorkingHours:
            -
                NotNull:
                    groups:
                        - xsd_rules
        weeklyWorkingHours:
            -
                NotNull:
                    groups:
                        - xsd_rules
        teamSize:
            -
                GreaterThanOrEqual:
                    value: '-2147483648'
                    groups:
                        - xsd_rules
            -
                LessThanOrEqual:
                    value: '2147483647'
                    groups:
                        - xsd_rules
        billingAmount:
            -
                NotNull:
                    groups:
                        - xsd_rules
        billedNormalHours:
            -
                NotNull:
                    groups:
                        - xsd_rules
        validationDateByCustomer:
            -
                NotNull:
                    groups:
                        - xsd_rules
        conventionalCategory:
            -
                NotNull:
                    groups:
                        - xsd_rules
            -
                Valid: null
        salaryComponents:
            -
                NotNull:
                    groups:
                        - xsd_rules
            -
                Valid: null
        performanceCalculating:
            -
                Valid: null
        insurances:
            -
                Valid: null
        provisionedAmounts:
            -
                NotNull:
                    groups:
                        - xsd_rules
            -
                Valid: null
        additionalServices:
            -
                Valid: null
        payrollScoringProfile:
            -
                Valid: null
        billingValues:
            -
                Valid: null
